// Header

ion-back-button {
  display: inline;
  transform: rotate(180deg);
}

.header-container {
  display: inline-flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: baseline;
  img {
    order: 1;
    margin: 0 5px;
    align-self: center;
  }
  h6 {
    display: inline;
    order: 2;
    color: var(--ion-color-medium);
  }
  ion-select {
    order: 3;
    color: var(--ion-color-primary);
    font-size: 14px;
  }
}

.segmentmenu {
  padding: 15px 0;
  ion-segment {
    padding-left: 14px;
    padding-right: 14px;
    --min-height: 34px;

    ion-segment-button {
      --indicator-height: 0;
      position: relative;
      margin: 0 5px;
      min-width: 0 !important;
      .slider_item {
        width: 4.5rem;
        height: 100%;
      }

      h6 {
        font-size: 10px;
        color: var(--ion-color-medium);
        position: absolute;
        right: 3px;
        bottom: 3px;
      }

      // &:not(.segment-button-checked) {
      //   --background: var(--ion-color-primary);
      // }

      &.segment-button-checked {
        border: 2px solid var(--ion-color-primary);
        border-radius: 5px;
      }
    }
  }
}

// *********************

// Content

ion-content {
  --background: var(--ion-color-light);
}

// *********************

// footer

ion-col {
  display: flex;
  align-items: center;
  justify-content: center;
}

.border-right {
  border-right: 1px solid var(--ion-color-light);
}

.footer_section__cart {
  ion-button {
    ion-badge {
      --background: var(--ion-color-primary);
      position: absolute;
      opacity: 0.9;
      top: 0.1rem;
      right: 0.2rem;
      & ~ ion-icon {
        margin-right: 1.2rem;
        color: var(--ion-color-medium);
      }
    }
  }
}

.footer_section__info {
  display: flex;
  flex-direction: column;
  .footer_section__title {
    color: var(--ion-color-medium);
  }

  h5,
  h6 {
    margin: 0 0 5px;
    font-weight: 400;
  }
}
